# makefile.tcc for memdebug under TURBO C++V2.0   *TBD*
# J.Borst 27/1/94
# modified for Turbo-C++2.0 by S.Daniels (daniels@minga.pn.com) Mar-4-94
# 'make -fmakefile.tcc'
#
C_SRCS  = memalpha.c memdebug.c memfree.c 
H_SRCS  = memalpha.h memdebug.h memfree.h memtypes.i
MISC    = README Memdebug.ps makefile makefile.tcc
PUBSRC  = memdebug.h

CC      = \TC\BIN\tcc.exe
AR      = \TC\BIN\tlib.exe
LINK    = \TC\BIN\tlink.exe
RM      = del

# TCC memory model: t,s,m,l,h
MODEL   = m

LIBDIR  = \TC\LIB
INCDIR  = \TC\INCLUDE

CFLAGS  = -L$(LIBDIR) -I$(INCDIR) -m$(MODEL)

SOURCES = $(C_SRCS) $(H_SRCS)
FILES   = $(SOURCES) $(MISC)

OBJECTS = memalpha.obj memdebug.obj memfree.obj
LNKOBJS = +memalpha.obj +memdebug.obj +memfree.obj
LIB     = libmemdb.lib

# compile to *.obj:
.c.obj:
        $(CC) $(CFLAGS) -c -o$*.obj $<

all:	$(LIB)

$(LIB): $(OBJECTS)
        $(AR) $(LIB) $(LNKOBJS)

test.exe: test.obj $(LIB)
      $(CC) $(CFLAGS) -DMEMDEBUG test.obj $(LIB)

#bundle: $(FILES)
#                @bundle $(FILES)

sources:
		@echo $(SOURCES)

files:
		@echo $(FILES)

#install:
#                install -g staff -m 644 -o root $(LIB) $(LIBDIR)
#                ranlib $(LIBDIR)/$(LIB)
#                install -g staff -m 644 -o root $(PUBSRC) $(INCDIR)

clean:
                if exist $(LIB) $(RM) $(LIB)
                for %f in ( $(OBJECTS) ) do if exist %f $(RM) %f

# EOF
